Loading...
Searching...
No Matches
robottestingframework::FixtureException Class Reference

The FixtureException class Ficture exception is used when a there is a probleme during fixture setup. More...

`#include <robottestingframework/Exception.h>`

Inheritance diagram for robottestingframework::FixtureException:
[legend]

## Public Member Functions

| FixtureException (const TestMessage &msg)
| FixtureException (const FixtureException &other)
Public Member Functions inherited from robottestingframework::Exception
| Exception (const Exception &other)
| Exception (const TestMessage &msg)
virtual | ~Exception () throw ()
const char * | what () const override throw ()
| what
const TestMessage & | message ()
| message

## Detailed Description

The FixtureException class Ficture exception is used when a there is a probleme during fixture setup.

Examples
  simple_fixture.cpp.

Definition at line 126 of file Exception.h.

## Constructor & Destructor Documentation

## FixtureException() [1/2]

robottestingframework::FixtureException::FixtureException | ( | const TestMessage & | msg | ) |

inline

Definition at line 129 of file Exception.h.

## FixtureException() [2/2]

robottestingframework::FixtureException::FixtureException | ( | const FixtureException & | other | ) |

inline

Definition at line 134 of file Exception.h.

The documentation for this class was generated from the following file:

- src/robottestingframework/include/robottestingframework/Exception.h